using UnityEngine;
using System.Collections;

public class CharacterStats {

	private int lives;
	private int score;


	public int Score {
		get {
			return score;
		}
	}

	public int Lives {
		get {
			return lives;
		}
	}


	public CharacterStats() {
		lives = 3;
		score = 0;
	}


	public void updateScore(int x) {
		score += x;
	}

	public void decreaseLives() {

		if (lives > 0)
			lives--;
	}

	public void increaseLives() {
		lives++;
	}

	public bool isDead() {
		return lives == 0;
	}
}
